Method: v1.logs.post

Send log data to your project by using the Telemetry (OTLP) API, which implements the OpenTelemetry OTLP Protocol. For information about this API, see v1.logs overview.

Service endpoint

A service endpoint is a base URL that specifies the network address of an API service. One service might have multiple service endpoints. This service supports a global service endpoint.

HTTP request

POST https://telemetry.googleapis.com/v1/logs

Request body

The request body contains an instance of ExportLogsServiceRequest. For information about this structure, see logs_service.proto and logs.proto.

For information about sending requests and about the OTLP protocol, see Protocol Details.

Response body

The response body contains an instance of ExportLogsServiceResponse. For information about this structure, see the logs_service.proto.

The response can indicate full success, partial success, or failure. For more information, see OTLP/gRPC Response.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/logging.write
  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.